//returns an array of a set value

int numPoints = 0;
Point[] allPoints;

class RadialSlit {
  RadialSlit(int len) {
    numPoints = len;
    allPoints = new Point[numPoints];
    for (int i = 0; i < numPoints; i++) {
      allPoints[i] = new Point(0,0);
    } 
  } 
  
  Point[] getPoints(Point p1, Point p2) {
    for (int i = 0; i < numPoints; i++) {
      allPoints[i].x = lerp(p1.x,p2.x,(float)i/(float)numPoints);
      allPoints[i].y = lerp(p1.y,p2.y,(float)i/(float)numPoints);
    }
    return allPoints; 
  }
  
  //two get functions... 
  int getLength() {
   return numPoints; 
  }
  
  Point getPoint(int val) {
   return allPoints[val];
  }

  void setPoints(Point p1, Point p2) {
    for (int i = 0; i < numPoints; i++) {
      allPoints[i].x = lerp(p1.x,p2.x,(float)i/(float)numPoints);
      allPoints[i].y = lerp(p1.y,p2.y,(float)i/(float)numPoints);
    }
        //println(allPoints[100].x);
  }

  void drawPoints() {
    for (int i = 0; i < numPoints; i++) {
      point(allPoints[i].x, allPoints[i].y);
    }
  }

}




